package de.firstdata.ipg.api.client.action.object;

import de.firstdata.ipg.api.client.action.GetExternalTransactionStatus;

public class GetExternalTransactionStatusObject extends IPGAPIActionObject implements GetExternalTransactionStatus {

	public GetExternalTransactionStatusObject(final String orderID, final String tDate) {
		getGetExternalTransactionStatus().setOrderId(orderID);
		getGetExternalTransactionStatus().setTDate(tDate);
	}

	public GetExternalTransactionStatusObject(final String merchantTransactionId) {
		getGetExternalTransactionStatus().setMerchantTransactionId(merchantTransactionId);
	}

	public GetExternalTransactionStatusObject(final Long ipgTransactionId) {
		getGetExternalTransactionStatus().setIpgTransactionId(ipgTransactionId);
	}

	@Override
	public void setStoreId(final String storeID) {
		getGetExternalTransactionStatus().setStoreId(storeID);
	}

	@Override
	public de.firstdata.ipg.api.schema.GetExternalTransactionStatus getGetExternalTransactionStatus() {
		if (this.getExternalTransactionStatus == null) {
			this.getExternalTransactionStatus = new de.firstdata.ipg.api.schema.GetExternalTransactionStatus();
		}
		return this.getExternalTransactionStatus;
	}
}
