package de.firstdata.ipg.api.client.transaction;

import java.net.URL;
import java.util.Date;

import de.firstdata.ipg.api.client.transaction.apm.ApmTransaction;
import de.firstdata.ipg.api.client.transaction.setter.TransactionDetailsSetter;
import de.firstdata.ipg.api.schema.MandateType;

public interface SepaSaleTransaction extends ApmTransaction, TransactionDetailsSetter {

	void setIban(final String iban);

	void setMandateReference(final String mandateReference);

	void setMandateDate(final Date date);

	void setMandateType(final MandateType mandateType);

	void setMandateUrl(final URL mandateUrl);
}
