package de.firstdata.ipg.api.client.transaction.creditcard;

import de.firstdata.ipg.api.client.transaction.creditcard.setter.PaymentFacilitatorSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.Secure3DSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.SubMerchantSetter;
import de.firstdata.ipg.api.client.transaction.creditcard.setter.WalletSetter;
import de.firstdata.ipg.api.client.transaction.setter.BasketSetter;
import de.firstdata.ipg.api.client.transaction.setter.BillingSetter;
import de.firstdata.ipg.api.client.transaction.setter.PaymentSetter;
import de.firstdata.ipg.api.client.transaction.setter.ShippingSetter;
import de.firstdata.ipg.api.client.transaction.setter.TransactionDetailsSetter;
import de.firstdata.ipg.api.schema.CardAccountType;
import de.firstdata.ipg.api.schema.CardFunctionType;

public interface CCCreditTransaction extends CCTransaction, BasketSetter, BillingSetter, PaymentSetter, PaymentFacilitatorSetter, SubMerchantSetter,
		Secure3DSetter, ShippingSetter, TransactionDetailsSetter, WalletSetter {

	void setTerminalID(final String terminalID);

	void setCardFunction(final CardFunctionType cardFunction);

	void setCardAccount(final CardAccountType cardAccount);
}
