package de.firstdata.ipg.api.client.transaction.klarna;

import de.firstdata.ipg.api.client.transaction.setter.BasketSetter;
import de.firstdata.ipg.api.client.transaction.setter.BillingSetter;

/**
 * IPG equivalent to KLARNA ReserveAmount
 *
 * @author f8t3bd0
 */
public interface KlarnaPreAuthTransaction extends KlarnaTransaction, BasketSetter, BillingSetter {

	void setIp(final String ip);

	void setKlarnaPClassID(final Integer pClassID);
}
