package de.firstdata.ipg.api.client.transaction.topup.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.object.IPGApiTransactionObject;
import de.firstdata.ipg.api.schema.TopUpTxType;

public abstract class TopUpTransactionObject extends IPGApiTransactionObject {

	protected TopUpTransactionObject(final Amount amount) {
		super(amount, null, null, null);
	}

	@Override
	public void setStoreId(final String pStoreId) {
		getTopUpTxType().setStoreId(pStoreId);
	}

	@Override
	public TopUpTxType getTopUpTxType() {
		if (this.topUpTxType == null) {
			this.topUpTxType = new TopUpTxType();
		}
		return this.topUpTxType;
	}
}
